## itop 0.1

=== src/Makefile ===
CC=gcc -Wall

all: itop

itop: itop.c
	$(CC) -o itop itop.c
	strip itop

clean:
	rm -f itop *.o *~

remake: clean all

install: itop
	cp itop /usr/bin

=== debian/changelog ===
itop (0.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unavailable Homepage.
  * Update debhelper to compat 10. (Closes: #965601)
  * Split build target into build-{indep,arch}. (Closes: #999317)
  * Convert to source format 3.0.

 -- Bastian Germann <bage@debian.org>  Mon, 07 Aug 2023 22:48:00 +0200

itop (0.1-4) unstable; urgency=low

  * Removed debian/docs, hello Ubuntu! (Closes: #489956)

 -- Jose Parrella <bureado@debian.org>  Tue, 08 Jul 2008 20:46:55 -0430

itop (0.1-3) unstable; urgency=low

  * Increased MAX_INTS from 256 to 1024, thanks David Futcher from Ubuntu
    (Closes: #449246)
  * Conforms to Standards-Version 3.8.0, no changes needed.

 -- Jose Parrella <bureado@debian.org>  Sun, 06 Jul 2008 21:23:24 -0430

itop (0.1-2) unstable; urgency=low

  * Fixing debian/watch for itop upstream (Closes: #450026)
  * Changing maintaner email

 -- Jose Parrella <bureado@debian.org>  Wed, 19 Mar 2008 21:53:05 -0430

itop (0.1-1) unstable; urgency=low

  * Initial release (Closes: #408871)

 -- Jose Parrella <joseparrella@cantv.net>  Sun, 28 Jan 2007 15:17:35 -0400

=== debian/control ===
Source: itop
Section: admin
Priority: optional
Maintainer: Jose Parrella <bureado@debian.org>
Build-Depends: debhelper-compat (= 10)
Standards-Version: 3.8.0

Package: itop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple top-like interrupt load monitor
 itop is a simple interrupt load monitor which opens and
 monitors /proc/interrupts in a top-like way. It can be set
 to monitor the file a specific number of times and monitor all
 interrupts, not only the ones currently in use.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-indep build-arch

build-arch: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/itop install

binary-indep: build-indep install

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
	dh_installman debian/itop.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-indep:
binary: binary-indep binary-arch
.PHONY: build build-indep clean binary-indep binary-arch binary install configure
